# LayoutsFactory.hh File Reference

`#include <string>`
`#include <map>`
`#include <memory>`
`#include "Portability.hh"`
`#include "Layout.hh"`
`#include "FactoryParams.hh"`

Include dependency graph for LayoutsFactory.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::LayoutsFactory

## Defines

#define | h_409ac787_0acf_47ff_ac15_3e9024d40315

## Define Documentation

#define h_409ac787_0acf_47ff_ac15_3e9024d40315